//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	usb_sample.c
//	project: usb_sample
//
//
//	(c) DEDITEC GmbH, 2009-2017
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
//
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "../../../delib-sources/delib/library/delib/delib.h"

int main()
{
	ULONG i;
	ULONG handle=0;

	printf("\n\n");
	printf("-------------------------------------------------\n");
	printf("-------------------------------------------------\n");
	printf("-------------------------------------------------\n");
	printf("WICHTIG !!!!!\n");
	printf("Dieses Programm bitte mit admin-Rechten ausfuehren\n");
	printf("Also: sudo ./delib-test-digital-io <return>\n");
	printf("-------------------------------------------------\n");
	printf("-------------------------------------------------\n");
	printf("-------------------------------------------------\n");
	printf("\n\n");
	
	printf("-------------------------------------------------\n");
	printf("Try to open USB_RELAIS_8\n");
	handle = DapiOpenModule(USB_RELAIS_8, 0);
	
	if(handle == 0)
	{
		// Module not found
		printf("Handle = 0x%lx\n", (unsigned long) handle);
		return 0;
	}

	printf("Handle = 0x%lx\n", (unsigned long) handle);

	for(i=0;i!=4;++i)
	{
		printf("Durchlauf=%d\n", (unsigned int) i);
		DapiDOSet8(handle, 0, 0xff);
		usleep(1000 * 1000);
		DapiDOSet8(handle, 0, 0x0);
		usleep(1000 * 1000);
	}

	printf("ENDE\n");
	
	DapiCloseModule(handle);
}
